Bug 1622806 - invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules
Summary: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flashrom
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-28 05:07 UTC by Ralf Corsepius
Modified: 2019-05-14 00:56 UTC (History)
3 users (show)

Fixed In Version: flashrom-1.0-6.fc28 flashrom-1.0-6.fc29 flashrom-1.0.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-11 16:51:42 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2018-08-28 05:07:06 UTC
Description of problem:

I am observing these error messages in journalctl:
...
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 94, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 91, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 87, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 83, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 79, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 75, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 71, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 67, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 66, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 65, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 61, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 57, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 53, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 49, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 45, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 41, starting at character 50 (',')
Aug 28 06:29:56 rockford systemd-udevd[634]: invalid key/value pair in file /usr/lib/udev/rules.d/z60_flashrom.rules on line 37, starting at character 50 (',')


Version-Release number of selected component (if applicable):
flashrom-1.0-3.fc28.x86_64

How reproducible:
Always, on different machines.

Additional info:
I don't know much about udev-rules, but my gut feeling is, all these lines being complained about, might be typos in /usr/lib/udev/rules.d/z60_flashrom.rules, which possibly should be using "TAG+=" instead of "TAG=+".

Comment 1 Ralf Corsepius 2018-08-28 06:23:09 UTC
Apparently, there is a typo inside of the spec:

diff --git a/flashrom.spec b/flashrom.spec
index 1583b81..d3c57b8 100644
--- a/flashrom.spec
+++ b/flashrom.spec
@@ -37,7 +37,7 @@ other programmer devices.
 %setup -q
 %patch0 -p1
 # Replace GROUP="plugdev" specifiers with TAG+="uaccess"
-sed -e 's/MODE="[0-9]*", GROUP="plugdev"/TAG=+"uaccess"/g' util/z60_flashrom.rules -i
+sed -e 's/MODE="[0-9]*", GROUP="plugdev"/TAG+="uaccess"/g' util/z60_flashrom.rules -i
 
 %ifarch %{ix86} x86_64
 # 'internal' programmer is only supported on x86 platforms

Comment 2 Fedora Update System 2018-08-28 15:27:46 UTC
flashrom-1.0-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-30213f3c2a

Comment 3 Fedora Update System 2018-08-28 15:29:27 UTC
flashrom-1.0-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-28983c31e6

Comment 4 Fedora Update System 2018-08-29 19:04:27 UTC
flashrom-1.0-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-28983c31e6

Comment 5 Fedora Update System 2018-08-29 23:13:12 UTC
flashrom-1.0-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-28983c31e6

Comment 6 Fedora Update System 2018-08-30 05:54:46 UTC
flashrom-1.0-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-30213f3c2a

Comment 7 Fedora Update System 2018-09-11 16:51:42 UTC
flashrom-1.0-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-09-21 05:21:59 UTC
flashrom-1.0-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-28 12:44:04 UTC
flashrom-1.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-85606b4931

Comment 10 Fedora Update System 2019-04-29 03:21:15 UTC
flashrom-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-85606b4931

Comment 11 Fedora Update System 2019-05-14 00:56:37 UTC
flashrom-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.